unit TwitchAPI.Commands.GetChannelInfo;

interface

uses
  TwitchAPI.Entities;

type

{ ITwitchGetChannelInfoResult }

  ITwitchGetChannelInfoResult = interface
    function GetInfos: TArray<TTwitchChannelInfo>;
    property Infos: TArray<TTwitchChannelInfo> read GetInfos;
  end;

{ ITwitchGetChannelInfoCommand }

  ITwitchGetChannelInfoCommand = interface
    function Execute: ITwitchGetChannelInfoResult;
    function SetBroadcasterID(const AValue: string): ITwitchGetChannelInfoCommand;
  end;

implementation

end.
